IG4(4)

NAME
ig4 - Intel(R) fourth generation mobile CPU integrated I2C driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into the kernel configuration file:

device ig4
device iicbus

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ig4_load="YES"

DESCRIPTION
The ig4 driver provides access to peripherals attached to an I2C controller.

HARDWARE
ig4 supports the I2C controllers found in fourth generation Intel(R) Core(TM) processors based on the mobile U-processor line for intelligent systems. This includes the i7-4650U, i5-4300U, i3-4010U, and 2980U.

SYSCTL VARIABLES
These sysctl(8) variables are available:

debug.ig4_dump
    This sysctl is a zero-based bit mask. When any of the bits are set, a register dump is printed for every I2C transfer on an ig4 device with the same unit number.

SEE ALSO
iic(4), iicbus(4)

AUTHORS
-nosplit The ig4 driver was written for DragonFly BSD by Matthew Dillon and subsequently ported to FreeBSD by Michael Gmelin <freebsd@grem.de>.

This manual page was written by Michael Gmelin <freebsd@grem.de>.